> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List BGP announces

> List BGP announces with optional filtering by site, origin, announcement status, and client.



## OpenAPI

````yaml /api-reference/services_documented/ddos_protection_api.yaml get /security/sifter/v2/protected_addresses/announces
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DDoS Protection API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Event Logs
    x-displayName: Event Logs
  - name: BGP announces
    x-displayName: BGP announces
  - name: Protected Networks
    x-displayName: Protected Networks
  - name: Protection Profiles
    x-displayName: Protection Profiles
  - name: Protection Templates
    x-displayName: Protection Templates
  - name: Security Templates
    x-displayName: Security Templates
  - name: Profiles
    x-displayName: Profiles
paths:
  /security/sifter/v2/protected_addresses/announces:
    get:
      tags:
        - BGP announces
      summary: List BGP announces
      description: >-
        List BGP announces with optional filtering by site, origin, announcement
        status, and client.
      operationId: list_announces_api_v2_protected_addresses_announces_get
      parameters:
        - name: site
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 100
                minLength: 1
              - type: 'null'
            title: Site
        - name: origin
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/Origin'
              - type: 'null'
            title: Origin
        - name: announced
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Announced
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 1
              - type: 'null'
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: Offset
        - name: client_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 1000000000
                minimum: 1
              - type: 'null'
            description: A positive integer ID
            title: Client Id
          description: A positive integer ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClientAnnounces'
                title: >-
                  Response List Announces Api V2 Protected Addresses Announces
                  Get
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
          description: Forbidden
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            client_announces = client.security.bgp_announces.list()
            print(client_announces)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n\t\"github.com/G-Core/gcore-go/security\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tclientAnnounces, err := client.Security.BgpAnnounces.List(context.TODO(), security.BgpAnnounceListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", clientAnnounces)\n}\n"
components:
  schemas:
    Origin:
      type: string
      enum:
        - STATIC
        - DYNAMIC
        - IAAS
        - PROTECTED_NETWORK
        - EDGE_PROXY
      title: Origin
    ClientAnnounces:
      properties:
        client_id:
          type: integer
          minimum: 0
          title: Client Id
          example: '128120'
          examples:
            - '128120'
        announced:
          items:
            type: string
            format: ipvanynetwork
          type: array
          title: Announced
          example:
            - 192.9.9.1/32
            - 203.0.113.1/32
          examples:
            - - 192.9.9.1/32
              - 203.0.113.1/32
        not_announced:
          items:
            type: string
            format: ipvanynetwork
          type: array
          title: Not Announced
          example:
            - 122.2.2.1/32
            - 120.0.113.2/32
          examples:
            - - 122.2.2.1/32
              - 120.0.113.2/32
      type: object
      required:
        - client_id
        - announced
        - not_announced
      title: ClientAnnounces
      example:
        announced:
          - 192.9.9.1/32
          - 203.0.113.1/32
        client_id: 128120
        not_announced:
          - 122.2.2.1/32
          - 120.0.113.2/32
    Request:
      properties: {}
      type: object
      title: Request
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/security_iaas_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    security_iaas_ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````